SubscriptionCancelRequest

Optional request body for canceling a subscription. If not provided, the subscription is canceled immediately.

  • cancel_at
    Type: string | nullFormat: date-time

    Schedule cancellation for a specific date (ISO 8601). The subscription remains active until this date. Cannot be used with cancel_at_period_end=true.

  • cancel_at_period_end
    Type: boolean

    If true, the subscription remains active until the end of the current billing period, then cancels automatically.

  • cancellation_details
    Type: object · CancellationDetails

    Details about why this subscription was cancelled.

    • comment
      Type: string | null
      max length:  
      5000

      Free-form text comment explaining the cancellation reason.

    • feedback
      Type: string | nullenum

      Predefined cancellation reason category provided by the customer.

      values
      • customer_service
      • low_quality
      • missing_features
      • other
      • switched_service
      • too_complex
      • too_expensive
      • unused